export interface IOperations<T extends number | bigint = number> {
    ZERO: T;
    parse(s: string, start: number): [nextStart: number, value: T];
    add(a: T, b: T): T;
    subtract(a: T, b: T): T;
    multiply(a: T, b: T): T;
    divide(a: T, b: T): T;
}
export declare const integerOperations: IOperations;
export declare const decimalOperations: IOperations;
export declare const bigintOperations: IOperations<bigint>;
